//---------------------------------------------------------------------------
// This macro demonstrates how to get the date and time in raw numerical form
// and present it in a specific format. You can alter the format easily to
// suit your needs.
//---------------------------------------------------------------------------
void DateAndTime(void) {
 
  char *date_array[]; // date array
  char *date_str;     // date receiver string
  char *date_msg;
  char *month_str;
  int   count;
  int   year;
  int   month;
  int   day;
  int   hour;
  int   minute;
  int   second;
  
  date_str = Date(); // get "YYYY MM DD HH MM SS"
  // parse date string
  count = strparse(date_array,date_str," ");
  if (count == 6) {
    year   = date_array[0];
    month  = date_array[1];
    day    = date_array[2];
    hour   = date_array[3];
    minute = date_array[4];
    second = date_array[5];
    switch (month) {
      case 1:  month_str = "January";   break;
      case 2:  month_str = "February";  break;
      case 3:  month_str = "March";     break;
      case 4:  month_str = "April";     break;
      case 5:  month_str = "May";       break;
      case 6:  month_str = "June";      break;
      case 7:  month_str = "July";      break;
      case 8:  month_str = "August";    break;
      case 9:  month_str = "September"; break;
      case 10: month_str = "October";   break;
      case 11: month_str = "November";  break;
      case 12: month_str = "December";  break;
    } // switch
    //-------------------------------------------------------------------------
    // The final form is up to you. Simply change the "strcompose()" parameters
    // to obtain the order and format you prefer.
    //-------------------------------------------------------------------------
    date_msg = strcompose("Today's date and time:  ",
      day," ",month_str," ",year,  // Day Month Year
      "  ",
      hour,":",minute,":",second); // Hour:Minute:Second
    msg(date_msg);
    }
  else {
    msg("Unable to get date and time.");
  }
 
} // DateAndTime
