//-----------------------------------------------------------------------------------
// In Standard Edition edit primary command COPYL performs the IMPORT function.
// For symetry with Graphic Edition, this macro emulates edit primary command IMPORT.
//-----------------------------------------------------------------------------------
void import(int argc, char *argv[]) {

  char *pcmd;
  int   cur_row;

  if (argc == 2) {
    cur_row = SPFservice("query","CURSOR_ROW");
    if (cur_row != 0) {
      //-----------------------------------------------------------------------
      // put "B" line command on current line, then apply COPYL primary command
      //-----------------------------------------------------------------------
      pcmd = strcompose(":B;COPYL ",argv[1]);
      SPFservice("cmd",pcmd);
      }
    else {
      //------------------------
      // cursor not on data line
      //------------------------
      Msg("IMPORT:  Cursor must be on data line.");
    }
    }
  else {
    //--------------
    // no parameters
    //--------------
    Msg("IMPORT:  One parameter required:  P1 = ...filename...");
  }

} // import
